let rankingRecordManager = new RankingRecordManager();

rankingRecordManager.push(new RankingRecord(4, 1, "김남희", 1400));
rankingRecordManager.push(new RankingRecord(5, 2, "고봉순", 900));
rankingRecordManager.push(new RankingRecord(6, 3, "파르마", 800));
rankingRecordManager.push(new RankingRecord(7, 4, "박지상", 700));
rankingRecordManager.push(new RankingRecord(8, 5, "신현주", 600));

QUnit.test( "push", function( assert ) {
	assert.equal(rankingRecordManager.count, 5);
});

QUnit.test( "getAt", function( assert ) {
	assert.equal(rankingRecordManager.getRankAt(0), 4);
	assert.equal(rankingRecordManager.getRankAt(4), 8);

	assert.equal(rankingRecordManager.getUserIDAt(0), 1);
	assert.equal(rankingRecordManager.getUserIDAt(4), 5);

	assert.equal(rankingRecordManager.getUserNameAt(0), "김남희");
	assert.equal(rankingRecordManager.getUserNameAt(4), "신현주");

	assert.equal(rankingRecordManager.getBestRecordAt(0), 1400);
	assert.equal(rankingRecordManager.getBestRecordAt(4), 600);
});

QUnit.test( "clear", function( assert ) {
	let rankingRecordManagerForClear = new RankingRecordManager();
	rankingRecordManagerForClear.push(new RankingRecord(8, "신현주", 600));
	rankingRecordManagerForClear.clear();

	assert.equal(rankingRecordManagerForClear.count, 0);
});